This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 501824 - yum does not remove dependencies not needed anymore
yum does not remove dependencies not needed anymore
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 17:26 EDT by Bruno Antunes
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 17:52:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Antunes 2009-05-20 17:26:44 EDT
Description of problem:
Yum does not remove unneeded dependencies

How reproducible:
Always

Steps to Reproduce:
1. Install package A which needs packages B and C as dependencies
2. Remove package A
3. There is no straightforward way to remove B and C and they are not needed anymore!
  
Actual results:
Orphaned packages clutter the system over time

Expected results:
Upon removing package A, yum should display a message about which command we can run to remove the no longer needed packages

Additional info:
This is THE missing feature that is making me consider a move to Debian/Ubuntu.
Comment 1 seth vidal 2009-05-20 17:52:10 EDT
the yum-plugin remove-with-leaves provides this behavior.

You can install and enable the plugin and get what you want.

Statements about why you want to move to other distributions are not really appropriate or useful in bug reports.
Comment 2 Bruno Antunes 2009-05-21 05:55:46 EDT
I was merely accentuating how important it is to me. I'll check the plugin, thank you.

Note You need to log in before you can comment on or make changes to this bug.